=== debian/changelog ===
git-annex (0.11) unstable; urgency=low

  * If available, rsync will be used for file transfers from remote
    repositories. This allows resuming interrupted transfers.
  * Added remote.annex-rsync-options.
  * Avoid deleting temp files when rsync fails.
  * Improve detection of version 0 repos.
  * Add uninit subcommand. Closes: #605749

 -- Joey Hess <joeyh@debian.org>  Sat, 04 Dec 2010 17:27:42 -0400
