## git-annex 0.13

=== debian/changelog ===
git-annex (0.13) unstable; urgency=low

  * Makefile: Install man page and html (when built).
  * Makefile: Add GHCFLAGS variable.
  * Fix upgrade from 0.03.
  * Support remotes using git+ssh and ssh+git as protocol.
    Closes: #607056

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Dec 2010 13:05:10 -0400

git-annex (0.12) unstable; urgency=low

  * Add --exclude option to exclude files from processing.
  * mwdn2man: Fix a bug in newline supression. Closes: #606578
  * Bugfix to git annex add of an unlocked file in a subdir. Closes: #606579
  * Makefile: Add PREFIX variable.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Dec 2010 17:32:00 -0400
