=== debian/changelog ===
git-annex (0.14) unstable; urgency=low

  * Bugfix to git annex unused in a repository with nothing yet annexed.
  * Support upgrading from a v0 annex with nothing in it.
  * Avoid multiple calls to git ls-files when passed eg, "*".

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Dec 2010 17:38:48 -0400
