=== debian/changelog ===
git-annex (0.20110427) unstable; urgency=low

  * Switch back to haskell SHA library, so git-annex remains buildable on
    Debian stable.
  * Added rsync special remotes. This could be used, for example, to 
    store annexed content on rsync.net (encrypted naturally). Or anywhere else.
  * Bugfix: Avoid pipeline stall when running git annex drop or fsck on a
    lot of files. Possibly only occured with ghc 7.

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Apr 2011 22:50:26 -0400

git-annex (0.20110425) unstable; urgency=low

  * Use haskell Crypto library instead of haskell SHA library.
  * Remove testpack from build depends for non x86 architectures where it
    is not available. The test suite will not be run if it cannot be compiled.
  * Avoid using absolute paths when staging location log, as that can
    confuse git when a remote's path contains a symlink. Closes: #621386

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Apr 2011 15:47:00 -0400

git-annex (0.20110420) unstable; urgency=low

  * Update Debian build dependencies for ghc 7.
  * Debian package is now built with S3 support.
    Thanks Joachim Breitner for making this possible.
  * Somewhat improved memory usage of S3, still work to do.
    Thanks Greg Heartsfield for ongoing work to improve the hS3 library
    for git-annex.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Apr 2011 15:00:48 -0400

git-annex (0.20110419) unstable; urgency=low

  * Don't run gpg in batch mode, so it can prompt for passphrase when
    there is no agent.
  * Add missing build dep on dataenc.
  * S3: Fix stalls when transferring encrypted data.
  * bup: Avoid memory leak when transferring encrypted data.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Apr 2011 21:26:51 -0400

git-annex (0.20110417) unstable; urgency=low

  * bup is now supported as a special type of remote.
  * The data sent to special remotes (Amazon S3, bup, etc) can be encrypted
    using GPG for privacy.
  * Use lowercase hash directories for locationlog files, to avoid
    some issues with git on OSX with the mixed-case directories.
    No migration is needed; the old mixed case hash directories are still
    read; new information is written to the new directories.
  * Unused files on remotes, particulary special remotes, can now be
    identified and dropped, by using "--from remote" with git annex unused
    and git annex dropunused.
  * Clear up short option confusion between --from and --force (-f is now
    --from, and there is no short option for --force).
  * Add build depend on perlmagick so docs are consistently built.
    Closes: #621410
  * Add doc-base file. Closes: #621408
  * Periodically flush git command queue, to avoid boating memory usage
    too much.
  * Support "sha1" and "sha512" commands on FreeBSD, and allow building
    if any/all SHA commands are not available. Thanks, Fraser Tweedale

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Apr 2011 12:00:24 -0400

git-annex (0.20110401) experimental; urgency=low

  * Amazon S3 is now supported as a special type of remote.
    Warning: Encrypting data before sending it to S3 is not yet supported.
  * Note that Amazon S3 support is not built in by default on Debian yet,
    as hS3 is not packaged.
  * fsck: Ensure that files and directories in .git/annex/objects
    have proper permissions.
  * Added a special type of remote called a directory remote, which
    simply stores files in an arbitrary local directory.
  * Bugfix: copy --to --fast never really copied, fixed.

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Apr 2011 21:27:22 -0400

git-annex (0.20110328) experimental; urgency=low

  * annex.diskreserve can be given in arbitrary units (ie "0.5 gigabytes")
  * Generalized remotes handling, laying groundwork for remotes that are
    not regular git remotes. (Think Amazon S3.)
  * Provide a less expensive version of `git annex copy --to`, enabled
    via --fast. This assumes that location tracking information is correct,
    rather than contacting the remote for every file.
  * Bugfix: Keys could be received into v1 annexes from v2 annexes, via
    v1 git-annex-shell. This results in some oddly named keys in the v1
    annex. Recognise and fix those keys when upgrading, instead of crashing.

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Mar 2011 10:47:29 -0400

git-annex (0.20110325) experimental; urgency=low

  * Free space checking is now done, for transfers of data for keys
    that have free space metadata. (Notably, not for SHA* keys generated
    with git-annex 0.2x or earlier.) The code is believed to work on
    Linux, FreeBSD, and OSX; check compile-time messages to see if it
    is not enabled for your OS.
  * Add annex.diskreserve config setting, to control how much free space
    to reserve for other purposes and avoid using (defaults to 1 mb).
  * Add --fast flag, that can enable less expensive, but also less thorough
    versions of some commands.
  * fsck: In fast mode, avoid checking checksums.
  * unused: In fast mode, just show all existing temp files as unused,
    and avoid expensive scan for other unused content.
  * migrate: Support migrating v1 SHA keys to v2 SHA keys with
    size information that can be used for free space checking.
  * Fix space leak in fsck and drop commands.
  * migrate: Bugfix for case when migrating a file results in a key that
    is already present in .git/annex/objects.
  * dropunused: Significantly sped up; only read unused log file once.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Mar 2011 00:47:37 -0400

git-annex (0.20110320) experimental; urgency=low

  * Fix dropping of files using the URL backend.
  * Fix support for remotes with '.' in their names.
  * Add version command to show git-annex version as well as repository
    version information.
  * No longer auto-upgrade to repository format 2, to avoid accidental
    upgrades, etc. Use git-annex upgrade when you're ready to run this
    version.

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Mar 2011 16:36:33 -0400


