=== debian/control ===
--- 
+++ 
@@ -1,7 +1,21 @@
 Source: git-annex
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50), ghc6, libghc6-missingh-dev, libghc6-pcre-light-dev, libghc6-testpack-dev, ikiwiki, uuid, rsync
+Build-Depends: 
+	debhelper (>= 7.0.50),
+	ghc,
+	libghc-missingh-dev,
+	libghc-pcre-light-dev,
+	libghc-sha-dev,
+	libghc-dataenc-dev,
+	libghc-utf8-string-dev,
+	libghc-hs3-dev (>= 0.5.6),
+	libghc-testpack-dev [any-i386 any-amd64],
+	ikiwiki,
+	perlmagick,
+	git | git-core,
+	uuid,
+	rsync,
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.1
 Vcs-Git: git://git.kitenet.net/git-annex
@@ -10,7 +24,12 @@
 Package: git-annex
 Architecture: any
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, git | git-core, uuid, openssh-client, rsync
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	git | git-core,
+	uuid,
+	rsync,
+	openssh-client
+Suggests: graphviz, bup, gnupg
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
  contents into git. While that may seem paradoxical, it is useful when
