## git-annex 0.20110516

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	fi
 
 test: $(bins)
-	if ! $(GHCMAKE) test; then \
+	if ! $(GHCMAKE) -O0 test; then \
 		echo "** not running test suite" >&2; \
 	else \
 		./test; \
