=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	uuid,
 	rsync,
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/git-annex
 Homepage: http://git-annex.branchable.com/
