## git-annex 0.20110521

=== debian/changelog ===
git-annex (0.20110521) unstable; urgency=low

  * status: New subcommand to show info about an annex, including its size.
  * --backend now overrides any backend configured in .gitattributes files.
  * Add --debug option. Closes: #627499

 -- Joey Hess <joeyh@debian.org>  Sat, 21 May 2011 11:52:53 -0400
