## git-annex 0.20110522

=== debian/changelog ===
git-annex (0.20110522) unstable; urgency=low

  * Closer emulation of git's behavior when told to use "foo/.git" as a
    git repository instead of just "foo". Closes: #627563
  * Fix bug in --exclude introduced in 0.20110516.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 May 2011 20:20:41 -0400
