=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	debhelper (>= 7.0.50),
 	ghc,
 	libghc-missingh-dev,
+	libghc-hslogger-dev,
 	libghc-pcre-light-dev,
 	libghc-sha-dev,
 	libghc-dataenc-dev,
