=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
 	libghc-pcre-light-dev,
 	libghc-sha-dev,
 	libghc-dataenc-dev,
+	libghc-http-dev,
 	libghc-utf8-string-dev,
 	libghc-hs3-dev (>= 0.5.6),
 	libghc-testpack-dev [any-i386 any-amd64],
+	libghc-monad-control-dev,
 	ikiwiki,
 	perlmagick,
 	git | git-core,
