=== debian/changelog ===
git-annex (3.20111111) unstable; urgency=low

  * Handle a case where an annexed file is moved into a gitignored directory,
    by having fix --force add its change.
  * Avoid cyclic drop problems.
  * Optimized copy --from and get --from to avoid checking the location log
    for files that are already present.
  * Automatically fix up badly formatted uuid.log entries produced by
    3.20111105, whenever the uuid.log is changed (ie, by init or describe).
  * map: Support remotes with /~/ and /~user/

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Nov 2011 13:44:18 -0400

git-annex (3.20111107) unstable; urgency=low

  * merge: Use fast-forward merges when possible.
    Thanks Valentin Haenel for a test case showing how non-fast-forward
    merges could result in an ongoing pull/merge/push cycle.
  * Don't try to read config from repos with annex-ignore set.
  * Bugfix: In the past two releases, git-annex init has written the uuid.log
    in the wrong format, with the UUID and description flipped.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Nov 2011 12:47:44 -0400

git-annex (3.20111105) unstable; urgency=low

  * The default backend used when adding files to the annex is changed
    from WORM to SHA256.
    To get old behavior, add a .gitattributes containing: * annex.backend=WORM
  * Sped up some operations on remotes that are on the same host.
  * copy --to: Fixed leak when copying many files to a remote on the same
    host.
  * uninit: Add guard against being run with the git-annex branch checked out.
  * Fail if --from or --to is passed to commands that do not support them.
  * drop --from is now supported to remove file content from a remote.
  * status: Now always shows the current repository, even when it does not
    appear in uuid.log.
  * fsck: Now works in bare repositories. Checks location log information,
    and file contents. Does not check that numcopies is satisfied, as
    .gitattributes information about numcopies is not available in a bare
    repository.
  * unused, dropunused: Now work in bare repositories.
  * Removed the setkey command, and added a reinject command with a more
    useful interface.
  * The fromkey command now takes the key as its first parameter. The --key
    option is no longer used.
  * Built without any filename containing .git being excluded. Closes: #647215
  * Record uuid when auto-initializing a remote so it shows in status.
  * Bugfix: Fixed git-annex init crash in a bare repository when there was
    already an existing git-annex branch.
  * Pass -t to rsync to preserve timestamps.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Nov 2011 15:47:52 -0400

git-annex (3.20111025) unstable; urgency=low

  * A remote can have a annexUrl configured, that is used by git-annex
    instead of its usual url. (Similar to pushUrl.)
  * migrate: Copy url logs for keys when migrating.
  * git-annex-shell: GIT_ANNEX_SHELL_READONLY and GIT_ANNEX_SHELL_LIMITED
    environment variables can be set to limit what commands can be run.
    This is used by gitolite's new git-annex support!

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Oct 2011 13:03:08 -0700

git-annex (3.20111011) unstable; urgency=low

  * This version of git-annex only works with git 1.7.7 and newer.
    The breakage with old versions is subtle, and affects the
    annex.numcopies settings in .gitattributes, so be sure to upgrade git
    to 1.7.7. (Debian package now depends on that version.)
  * Don't pass absolute paths to git show-attr, as it started following
    symlinks when that's done in 1.7.7. Instead, use relative paths,
    which show-attr only handles 100% correctly in 1.7.7. Closes: #645046
  * Fix referring to remotes by uuid.
  * New or changed repository descriptions in uuid.log now have a timestamp,
    which is used to ensure the newest description is used when the uuid.log
    has been merged.
  * Note that older versions of git-annex will display the timestamp as part
    of the repository description, which is ugly but otherwise harmless.
  * Add timestamps to trust.log and remote.log too.
  * git-annex-shell: Added the --uuid option.
  * git-annex now asks git-annex-shell to verify that it's operating in 
    the expected repository.
  * Note that this git-annex will not interoperate with remotes using 
    older versions of git-annex-shell.
  * Now supports git's insteadOf configuration, to modify the url
    used to access a remote. Note that pushInsteadOf is not used;
    that and pushurl are reserved for actual git pushes. Closes: #644278
  * status: List all known repositories.
  * When displaying a list of repositories, show git remote names
    in addition to their descriptions.
  * Add locking to avoid races when changing the git-annex branch.
  * Various speed improvements gained by using ByteStrings.
  * Contain the zombie hordes.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Oct 2011 23:00:02 -0400

git-annex (3.20110928) unstable; urgency=low

  * --in can be used to make git-annex only operate on files
    believed to be present in a given repository.
  * Arbitrarily complex expressions can be built to limit the files git-annex
    operates on, by combining the options --not --and --or -( and -)
    Example: git annex get --exclude '*.mp3' --and --not -( --in usbdrive --or --in archive -)
  * --copies=N can be used to make git-annex only operate on files with
    the specified number of copies. (And --not --copies=N for the inverse.)
  * find: Rather than only showing files whose contents are present,
    when used with --exclude --copies or --in, displays all files that
    match the specified conditions.
  * Note that this is a behavior change for git-annex find! Old behavior
    can be gotten by using: git-annex find --in .
  * status: Massively sped up; remove --fast mode.
  * unused: File contents used by branches and tags are no longer
    considered unused, even when not used by the current branch. This is

