## git-annex 3.20111122

=== debian/changelog ===
git-annex (3.20111122) unstable; urgency=low

  * merge: Improve commit messages to mention what was merged.
  * Avoid doing auto-merging in commands that don't need fully current
    information from the git-annex branch. In particular, git annex add
    no longer needs to auto-merge.
  * init: When run in an already initalized repository, and without
    a description specified, don't delete the old description. 
  * Optimised union merging; now only runs git cat-file once, and runs
    in constant space.
  * status: Now displays trusted, untrusted, and semitrusted repositories
    separately.
  * status: Include all special remotes in the list of repositories.
  * status: Fix --json mode.
  * status: --fast is back
  * Fix support for insteadOf url remapping. Closes: #644278
  * When not run in a git repository, git-annex can still display a usage
    message, and "git annex version" even works.
  * migrate: Don't fall over a stale temp file.
  * Avoid excessive escaping for rsync special remotes that are not accessed
    over ssh.
  * find: Support --print0

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Nov 2011 14:31:45 -0400
