## git-annex 3.20111211

=== debian/changelog ===
git-annex (3.20111211) unstable; urgency=medium

  * Fix bug in last version in getting contents from bare repositories.
  * Ensure that git-annex branch changes are merged into git-annex's index,
    which fixes a bug that could cause changes that were pushed to the
    git-annex branch to get reverted. As a side effect, it's now safe
    for users to check out and commit changes directly to the git-annex
    branch.
  * map: Fix a failure to detect a loop when both repositories are local
    and refer to each other with relative paths.
  * Prevent key names from containing newlines.
  * add: If interrupted, add can leave files converted to symlinks but not
    yet added to git. Running the add again will now clean up this situtation.
  * Fix caching of decrypted ciphers, which failed when drop had to check
    multiple different encrypted special remotes.
  * unannex: Can be run on files that have been added to the annex, but not
    yet committed.
  * sync: New command that synchronises the local repository and default
    remote, by running git commit, pull, and push for you.
  * Version monad-control dependency in cabal file.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Dec 2011 21:24:39 -0400

git-annex (3.20111203) unstable; urgency=low

  * The VFAT filesystem on recent versions of Linux, when mounted with
    shortname=mixed, does not get along well with git-annex's mixed case
    .git/annex/objects hash directories. To avoid this problem, new content
    is now stored in all-lowercase hash directories. Except for non-bare
    repositories which would be a pain to transition and cannot be put on FAT.
    (Old mixed-case hash directories are still tried for backwards
    compatibility.)
  * Flush json output, avoiding a buffering problem that could result in
    doubled output.
  * Avoid needing haskell98 and other fixes for new ghc. Thanks, Mark Wright.
  * Bugfix: dropunused did not drop keys with two spaces in their name.
  * Support for storing .git/annex on a different device than the rest of the
    git repository.
  * --inbackend can be used to make git-annex only operate on files
    whose content is stored using a specified key-value backend.
  * dead: A command which says that a repository is gone for good
    and you don't want git-annex to mention it again.

 -- Joey Hess <joeyh@debian.org>  Sat, 03 Dec 2011 21:01:45 -0400
